Loading...
Searching...
No Matches
QXmppOmemoMemoryStorage Class Reference

The QXmppOmemoMemoryStorage class stores data used by XEP-0384: OMEMO Encryption in the memory. More...

Inheritance diagram for QXmppOmemoMemoryStorage:
[legend]
Collaboration diagram for QXmppOmemoMemoryStorage:
[legend]

## Public Member Functions

| QXmppOmemoMemoryStorage ()
Public Member Functions inherited from QXmppOmemoStorage
virtual QXmppTask< OmemoData > | allData ()=0
virtual QXmppTask< void > | setOwnDevice (const std::optional< OwnDevice > &device)=0
virtual QXmppTask< void > | addSignedPreKeyPair (uint32_t keyId, const SignedPreKeyPair &keyPair)=0
virtual QXmppTask< void > | removeSignedPreKeyPair (uint32_t keyId)=0
virtual QXmppTask< void > | addPreKeyPairs (const QHash< uint32_t, QByteArray > &keyPairs)=0
virtual QXmppTask< void > | removePreKeyPair (uint32_t keyId)=0
virtual QXmppTask< void > | addDevice (const QString &jid, uint32_t deviceId, const Device &device)=0
virtual QXmppTask< void > | removeDevice (const QString &jid, uint32_t deviceId)=0
virtual QXmppTask< void > | removeDevices (const QString &jid)=0
virtual QXmppTask< void > | resetAll ()=0

## Detailed Description

The QXmppOmemoMemoryStorage class stores data used by XEP-0384: OMEMO Encryption in the memory.

Warning
  THIS API IS NOT FINALIZED YET!

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## QXmppOmemoMemoryStorage()

QXmppOmemoMemoryStorage::QXmppOmemoMemoryStorage | ( |  | ) |

Constructs an OMEMO memory storage.

The documentation for this class was generated from the following files:

- QXmppOmemoMemoryStorage.h
- QXmppOmemoMemoryStorage.cpp